Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class StockItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.shop.common.bean.StockItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class StockItem extends IdTitle
Представление конкретной единицы товара на складе

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StockItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<StockItemAttributeValue>`
  `getAttributeValues()`
  `int`
  `getContractId()`
  `StockItemType`
  `getType()`
  `int`
  `getWarehouseId()`
  `void`
  `setAttributeValues(List<StockItemAttributeValue> attributeValues)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setType(StockItemType type)`
  `void`
  `setWarehouseId(int warehouseId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### StockItem

    public StockItem()

- ## Method Details

  - ### getWarehouseId

    public int getWarehouseId()

  - ### setWarehouseId

    public void setWarehouseId(int warehouseId)

  - ### getType

    public StockItemType getType()

  - ### setType

    public void setType(StockItemType type)

  - ### getAttributeValues

    public List<StockItemAttributeValue> getAttributeValues()

  - ### setAttributeValues

    public void setAttributeValues(List<StockItemAttributeValue> attributeValues)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)